Bug 1027322 - need a 'webserver' profile
need a 'webserver' profile
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tuned (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 09:57 EST by Jon Stanley
Modified: 2016-07-19 06:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:34:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Stanley 2013-11-06 09:57:09 EST
I don't think that's the appropriate name for it. However, there's a class of systems (webservers being one) that accept a huge number of incoming connections on a socket.

The value of, for example, /proc/sys/net/core/somaxconn is woefully inadequate for such a system. We probably also want to tune TCP buffers here, and a few other things that I can't think of right now.
Comment 1 Jaroslav Škarvada 2013-11-06 10:34:19 EST
OK, we are open to suggestions, but we do not have resources to benchmarks this ourselves. In case you know exact numbers or if you know any additional tunings for such profile, please share.
Comment 2 Jaroslav Reznik 2015-03-03 11:56:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora End Of Life 2016-07-19 06:34:08 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.